<?php

class BlockNewProducts extends Module
{
    private $_html = '';
    private $_directory;
    private $_filename;
    private $_filename_http;
    private $_postErrors = array();

    function __construct()
    {
        $this->name = 'blocknewproducts';
        $this->tab = 'Blocks';
        $this->version = 0.8;

        parent::__construct();

        /* The parent construct is required for translations */
		$this->page = basename(__FILE__, '.php');
        $this->displayName = $this->l('Block new products');
        $this->description = $this->l('Shows new products in your shop right column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('rightColumn');
    }

    function hookRightColumn($params)
    {
		global $smarty;
		$currency = new Currency(intval($params['cookie']->id_currency));
		$newProducts = Product::getNewProducts(intval($params['cookie']->id_lang), 0, 5);

		$new_products = array();
		foreach ($newProducts AS $newProduct)
		{
			$newProduct['price'] = Tools::displayPrice(Product::getPriceStatic(intval($newProduct['id_product'])), $currency);
			$new_products[] = $newProduct;
		}

		$smarty->assign('new_products', $new_products);
		return $this->display(__FILE__, 'blocknewproducts.tpl');
	}
}


?>
