<?php

class BlockSpecials extends Module
{
    private $_html = '';
    private $_directory;
    private $_filename;
    private $_filename_http;
    private $_postErrors = array();

    function __construct()
    {
        $this->name = 'blockspecials';
        $this->tab = 'Blocks';
        $this->version = 0.8;

        parent::__construct();

        /* The parent construct is required for translations */
		$this->page = basename(__FILE__, '.php');
        $this->displayName = $this->l('Block specials');
        $this->description = $this->l('Shows current specials in your shop right column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('rightColumn');
        $this->registerHook('home');
    }

    function hookRightColumn($params)
    {
		global $smarty;

		if ($special = Product::getRandomSpecial(intval($params['cookie']->id_lang)))
			$smarty->assign(array(
			'special' => $special,
			'oldPrice' => number_format($special['price'] + $special['reduction'], 2, '.', '')
));
		return $this->display(__FILE__, 'blockspecials.tpl');
	}
	
	function hookHome($params)
	{
		return $this->hookRightColumn($params);
	}
}

?>
