<?php

class BlockTags extends Module
{    
    function __construct()
    {
        $this->name = 'blocktags';
        $this->tab = 'Blocks';
        $this->version = 1.0;

        parent::__construct();

        /* The parent construct is required for translations */
		$this->page = basename(__FILE__, '.php');
        $this->displayName = $this->l('Block tags');
        $this->description = $this->l('Adds a tags cloud block on your shop left column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('leftColumn');
    }
    
    /**
	* Returns module content for left column
	*
	* @param array $params Parameters
	* @return string Content
	*
	* @todo Links on tags (dedicated page or search ?)
	*/
    function hookLeftColumn($params)
    {
		global $smarty;
		$tags = Tag::getMainTags(intval($params['cookie']->id_lang));
		if (!sizeof($tags))
			return '';
		$maxFontSize = 18;
		$minFontSize = 10;
		$maxNumber = intval($tags[0]['times']);
		for ($i = 0; $i < count($tags); ++$i)
		{
			$tags[$i]['fontSize'] = floor(($maxFontSize * $tags[$i]['times']) / $maxNumber);
			if ($tags[$i]['fontSize'] < $minFontSize)
				$tags[$i]['fontSize'] = $minFontSize;
		}
		$smarty->assign('tags', $tags);
		return $this->display(__FILE__, 'blocktags.tpl');
	}
}

?>