<?php

class BlockViewed extends Module
{
    private $_html = '';
    private $_directory;
    private $_filename;
    private $_filename_http;
    private $_postErrors = array();

    function __construct()
    {
     	$this->name = 'blockviewed';
     	$this->tab = 'Blocks';
        $this->version = 0.8;

        parent::__construct();
		
		/* The parent construct is required for translations */
		$this->page = basename(__FILE__, '.php');
        $this->displayName = $this->l('Block viewed products');
        $this->description = $this->l('Shows last viewed products');
    }

    function install()
    {
        if (parent::install() == false OR $this->registerHook('rightColumn') == false OR $this->registerHook('leftColumn') == false)
			return false;
		return true;
    }

    function hookRightColumn($params)
	{
		global $link, $smarty;
		if (!get_class($link) == 'Link')
			die (Tools::displayError());
		$id_product = intval(Tools::getValue('id_product'));
		if ($id_product)
			$product = new Product($id_product);
		$productsViewed = (isset($params['cookie']->viewed) AND !empty($params['cookie']->viewed)) ? array_slice(explode(',', $params['cookie']->viewed), 0, 2) : array();
		if (sizeof($productsViewed))
		{
			$productsViewedObj = array();
			foreach ($productsViewed AS $productViewed)
			{
				$obj = new Product(intval($productViewed), false, intval($params['cookie']->id_lang));
				if (!Validate::isLoadedObject($obj))
					continue;
				else
				{
					$images = $obj->getImages(intval($params['cookie']->id_lang));
					foreach ($images AS $k => $image)
						if ($image['cover'])
						{
							$obj->cover = $obj->id.'-'.$image['id_image'];
							$obj->legend = $image['legend'];
							break;
						}
					if (!isset($obj->cover))
					{
						$obj->cover = Language::getIsoById($params['cookie']->id_lang).'-default';
						$obj->legend = '';
					}
					$productsViewedObj[] = $obj;
				}
			}
			if (isset($product) AND $product AND !in_array($product->id, $productsViewed))
				array_unshift($productsViewed, $product->id);
			$viewed = '';
			foreach ($productsViewed AS $id_product_viewed)
				$viewed .= intval($id_product_viewed).',';
			$params['cookie']->viewed = rtrim($viewed, ',');

			if (!sizeof($productsViewedObj))
				return true;

			$smarty->assign('productsViewedObj', $productsViewedObj);
			return $this->display(__FILE__, 'blockviewed.tpl');
		}
		return false;
	}

	function hookLeftColumn($params)
	{
		return ($this->hookRightColumn($params));
	}
}


?>
